Subject: Re: [PATCH 2.6.17-rc6] Remove Prism II support from Orinoco

From: Pavel Roskin <[email-masked]>
Date: Thu, 15 Jun 2006 00:52:34 -0400

On Mon, 2006-06-12 at 17:10 -0700, Jesse Brandeburg wrote:
> my problem is that for my prism 2 adapter both drivers are loaded at
> which point neither of them works.  I'm running FC5, and i have to
> keep removing the orinoco*.ko files to keep them from loading, so I'm
> all for this patch.

I believe the right solution would be to do it in userspace.  The kernel
should not be making decisions which driver is _better_ for the device.
I'm yet to see any serious arguments why the kernel should be doing it.

As for non-working driver, this should be reported with sufficient
details.  I haven't seen any detailed reports of this problem.

-- 
Regards,
Pavel Roskin